#ifndef LIBWCCL_PARSER_PARSEREXCEPTION_H
#define LIBWCCL_PARSER_PARSEREXCEPTION_H

#include <libwccl/exception.h>

#include <string>

class ParserException : public Wccl::WcclError
{
public:
	ParserException(const std::string);

	~ParserException() throw() { 
	}

	//
	std::string info() const { return this->msg; }

private:
	std::string msg;
};

#endif // LIBWCCL_PARSER_PARSEREXCEPTION_H
